debian beginners question

Discussion in 'Installation/Configuration' started by muekno, Mar 8, 2016.

  1. muekno

    muekno Member HowtoForge Supporter

    I am new to Deian, SuSE till now. I Installed first Debian ISPConfig 3 server 32 bit jessie, based on
    1. https://www.howtoforge.com/tutorial/debian-8-jessie-minimal-server/
    2. https://www.howtoforge.com/tutorial/perfect-server-debian-8-jessie-apache-bind-dovecot-ispconfig-3/
    Runs fine so long but when I do an apt-get update I get the warnings
    W: Duplicate sources.list entry http://security.debian.org/ jessie/updates/main i386 Packages (/var/lib/apt/lists/security.debian.org_dists_jessie_updates_main_binary-i386_Packages)
    W: Duplicate sources.list entry http://security.debian.org/ jessie/updates/contrib i386 Packages (/var/lib/apt/lists/security.debian.org_dists_jessie_updates_contrib_binary-i386_Packages)
    W: You may want to run apt-get update to correct these problems

    my /etc/apt/sources.list looks like
    deb http://ftp.de.debian.org/debian/ jessie main
    deb-src http://ftp.de.debian.org/debian/ jessie main

    deb http://security.debian.org/ jessie/updates main contrib
    deb-src http://security.debian.org/ jessie/updates main contrib

    # jessie-updates, previously known as 'volatile'
    -->
    deb http://ftp.de.debian.org/debian/ jessie-updates main contrib
    deb-src http://ftp.de.debian.org/debian/ jessie-updates main contrib

    deb http://ftp.us.debian.org/debian/ jessie main contrib non-free
    deb-src http://ftp.us.debian.org/debian/ jessie main contrib non-free

    deb http://security.debian.org/ jessie/updates main contrib non-free
    deb-src http://security.debian.org/ jessie/updates main contrib non-free
    <---
    can not see duplicates.

    Sorry it ist really a Debian beginners question, but more than an hour Google research did not bring an solution.

    Also do I have to ftp.us sources, university of erlangen should be my nearest mirror.

    Thanks for help to this may be stupid question

    Rainer
     
  2. ztk.me

    ztk.me Active Member

    The following lines are "duplicate" - just get rid of the first two lines.
    Code:
    deb http://security.debian.org/ jessie/updates main contrib
    deb-src http://security.debian.org/ jessie/updates main contrib
    
    Code:
    deb http://security.debian.org/ jessie/updates main contrib non-free
    deb-src http://security.debian.org/ jessie/updates main contrib non-free
    
    Same mirror, same type "jessie/updates" that's it - doesn't matter you ask for the non-free pool in addition at the 3rd and 4th line. just merge it to the uppper two lines.
     
    muekno likes this.
  3. muekno

    muekno Member HowtoForge Supporter

    ISPConfig shows me server not up to date
    reason ist
    [email protected]:~# tail -f /var/log/clamav/freshclam.log
    Wed Mar 9 09:24:45 2016 -> --------------------------------------
    Wed Mar 9 09:24:45 2016 -> freshclam daemon 0.99 (OS: linux-gnu, ARCH: i386, CPU: i586)
    Wed Mar 9 09:24:45 2016 -> ClamAV update process started at Wed Mar 9 09:24:45 2016
    Wed Mar 9 09:24:45 2016 -> WARNING: Your ClamAV installation is OUTDATED!
    Wed Mar 9 09:24:45 2016 -> WARNING: Local version: 0.99 Recommended version: 0.99.1
    Wed Mar 9 09:24:45 2016 -> DON'T PANIC! Read http://www.clamav.net/support/faq
    Wed Mar 9 09:24:45 2016 -> main.cvd is up to date (version: 55, sigs: 2424225, f-level: 60, builder: neo)
    Wed Mar 9 09:24:45 2016 -> daily.cld is up to date (version: 21455, sigs: 1874555, f-level: 63, builder: neo)
    Wed Mar 9 09:24:45 2016 -> bytecode.cld is up to date (version: 274, sigs: 49, f-level: 63, builder: anvilleg)
    Wed Mar 9 09:24:45 2016 -> --------------------------------------
    apt-get update && apt-get upgrade does not work
    apt-get update && apt-get dist-upgrade does not work too
    freshclam says
    [email protected]:~# freshclam
    ERROR: /var/log/clamav/freshclam.log is locked by another process
    ERROR: Problem with internal logger (UpdateLogFile = /var/log/clamav/freshclam.log).
    stoping an starting freshclam does not make it better.

    Running jessie

    Thanks for help

    Rainer
     
  4. ztk.me

    ztk.me Active Member

    The message is because of the "old" major release version of clamav itself, not the signature list.
    freshclam can't be run like you did while the freshclam service is running at the same time.

    Also it says DON'T PANIC
    http://www.clamav.net/support/faq
    However they seem to have done a website makeover and the corresponding FAQ entry is missing, or at least I wasn't able to find it....
    But I found a good answer from Till on Faqforge - which still is true.

     
  5. muekno

    muekno Member HowtoForge Supporter

    Yes I know, the message from Clam AV ist not my real problem, I am not realy concernd about. I know that from SuSE that there it need some time until the new version comes, but there ISPConfig did not tell about outdated versions until there was a new version available.
    But now with debian ISPConfig tells me

    Server: server1.gerdakloos.de (Debian Jessie) ISPConfig 3.0.5.4p8

    State: info (0 unknown, 0 info, 1 warning, 0 critical, 0 error)

    ok:
    The state of your Hard-Disk space is ok [More...]
    Your Mail queue load is ok [More...]
    Your Server load is ok [More...]
    All needed services are online [More...]
    Your system is up to date. [More...]
    The System Log is O.K. [More...]

    warning:
    Your virus protection is OUTDATED! [More...]

    Or is there a different behavior beetween SuSE und Debian, the freshclam logs looks the same SuSE and Debian an was readable in ISPConfig too in SuSE, so ISPConfig should have the same information in both versions.
    It was a fie thing to look in monitor, all green good, or blue an warning -> update, now blue can also mean , all is good or not

    Rainer
     
  6. ztk.me

    ztk.me Active Member

    Indeed that's the case.
    However if you update your clamav when system updates are available and/or you feel you take care of your installation enough you can hack ISPConfig to disable the additional clamav version check
    /usr/local/ispconfig/server/lib/classes/monitor_tools.inc.php
    on line 1624
    Code:
    change
                            if(stristr($line,'main.cld is up to date')) {
    to
                            if(stristr($line,'main.cvd is up to date')) {
    
    The difference between cld and cvd is that one is the compressed version of the other file, both do provide the same content. Your system seems to use a non expected one.

    If this doesn't work for any reasons
    on line 1620
    Code:
    change
                    if($clamav_outdated_warning == true && $clamav_bytecode_updated == false) {
    to
                    if($clamav_bytecode_updated == false) {
    
    Do this only if the above hack doesn't work for you, be sure you did run your ispconfig cronjob before checking the result.
     
    Last edited: Mar 9, 2016
    muekno likes this.

Share This Page